openapi: 3.1.1
info:
  title: Merchant API
  version: 2023-09-01
  description: |-
    Welcome to the Revolut Merchant API - your solution to managing the core aspects of e-commerce and accepting online payments. Whether you're a startup, a growing business, or an established enterprise in the e-commerce industry, our API helps you streamline your operations.

    As a Revolut Business customer with a Merchant Account, you can use the
    Merchant API to leverage the following features:

    - [Order management](/docs/api/merchant/2023-09-01#tag-orders)
    - [Customer management](/docs/api/merchant/2023-09-01#tag-customers)
    - [Payment management](/docs/api/merchant/2023-09-01#tag-payments)
    - [Reporting analytics](/docs/api/merchant/2023-09-01#tag-report-runs)
    - [Webhook management](/docs/api/merchant/2023-09-01#tag-webhooks)
    - [Location management](/docs/api/merchant/2023-09-01#tag-locations)

    ... and more.

    ### API versions

    :::warning
    We highly recommend using versioning in your API calls. If you don't provide a version header on the operations where it's required, you will receive an error response.
    :::

    The Merchant API uses request header versioning. Where it is required you need to use the `Revolut-Api-Version` header parameter to specify an API version. Each request, where it is indicated in the API specification, must contain a version header in the following format:
      
    ```
    'Revolut-Api-Version: 2023-09-01'
    ```

    :::info
    For more information, see: [API versions](/docs/guides/merchant/reference/versioning/api-versions)
    :::

    ### Test the Merchant API

    You can test the Merchant API in Postman by forking this collection:

    [![View in Postman](https://run.pstmn.io/button.svg)](https://www.postman.com/revolut-api/workspace/revolut-developers/overview)
  contact: {}
servers:
  - description: Production server (uses live data)
    url: https://merchant.revolut.com
  - description: Sandbox server (uses test data)
    url: https://sandbox-merchant.revolut.com
security:
  - Api-Key: []
tags:
  - name: Orders
    description: >-
      The Orders resource in the Merchant API offers a comprehensive solution
      for managing the lifecycle of orders within your e-commerce or retail
      platform. Designed to streamline order processing, this resource
      encapsulates a suite of operations that allow for efficiently handling
      order management-related tasks. For more information about the order
      lifecycle, see: [Order and payment
      lifecycle](/docs/guides/merchant/reference/order-lifecycle).


      These operations are equipped to handle various order management
      scenarios, providing a robust interface for businesses to interact with
      their order data. 


      To process a payment related to your customers' purchases, you need to
      create an `Order` object. Then you can use an order's unique `token` to
      process and accept payments via the Revolut Checkout Widget.


      :::warning

      The [Create an order endpoint](/docs/api/merchant#create-order) was
      updated to a new version and now returns `token` as the public identifier
      for the order. Previous integrations might still use the deprecated
      endpoint returning `public_id`.


      We strongly advise upgrading to the new [Create an order
      endpoint](/docs/api/merchant#create-order).

      :::
  - name: Customers
    description: |-
      The Customers resource in the Merchant API is a pivotal tool for tracking and managing customer-related transactions within your e-commerce or retail platform. This resource provides a structured approach to customer management, enabling you to maintain a consistent record of customer transactions.

      A `Customer` object can be created using the [Create a customer](/docs/api/merchant#create-customer) endpoint and you can then retrieve, update and delete a customer using its `id`. `Customer` objects enable you to track multiple transactions in your system associated with the same customer in the Merchant API.

      You can save and store payment methods of a customer in the `payment_method` object, for more information, see: [Charge a customer's saved payment method](/docs/guides/merchant/optimise-checkout/save-payment-methods/charge-saved-payment-method). A merchant can store the details of the payment securely and group transactions from the same payment method in their system. 

      A payment method is unique for each customer. For example, if the same card is used for a transaction by two different customers, two payment method objects are created linked to each customer.

      Similar principle applies when saving payment methods via Revolut Pay for merchant initiated transaction (MIT - useful for recurring payments). If a customer saves their details through Revolut Pay for MIT in separate sessions, each session will create a new payment method object linked to the customer.

      :::note
      You cannot create a payment method explicitly because they are generated as part of a payment. You can only retrieve, update or delete a payment method, or you can retrieve all payment methods of a customer.
      :::
  - name: Payments
    description: >-
      Payment operations enable you to initiate payments, or track payment
      status transitions. You can use the ID of the payment to retrieve
      information about a specific payment.


      :::info

      For more information about the payment lifecycle, see: [Order and payment
      lifecycle](/docs/guides/merchant/reference/order-lifecycle).

      :::
  - name: Payouts
    description: >-
      Endpoints for retrieving information about payouts, allowing merchants to
      access details of funds withdrawn from their Merchant account to external
      bank accounts.


      Merchants can use these endpoints to retrieve a list of payouts and
      specific payout details. The payout IDs obtained can be used to [generate
      detailed reports](/docs/api/merchant#tag-report-runs) that provide
      comprehensive breakdowns of all transactions contributing to the payout
      amounts.


      Payout information, including IDs, can be retrieved via the [Retrieve
      payout list](/docs/api/merchant#retrieve-payout-list) endpoint or from
      [webhook events related to payouts](/docs/api/merchant#create-webhook).
  - name: Report runs
    description: |-
      In addition to the CSV statements you can export via the [Revolut Business Dashboard](https://business.revolut.com/merchant/statement), you can generate custom CSV reports using the **Report runs** operations. Unlike the default statements, creating custom reports offers you more flexibility in determining what data you wish to incorporate. This allows you to have more control over your analytics.

      For more information about how to generate custom CSV reports, see: [Create CSV reports of transactions](/docs/guides/merchant/monitor-and-observe/reports-reconciliation).
  - name: Webhooks
    description: |-
      A `webhook` (also called a web callback) allows your system to receive an event from a different app immediately after it happens. 

      For example, you can subscribe to a webhook when an order changes from `pending` to `completed` status. When the payment is cleared and the order is completed, Revolut servers send a notification to the URL of your choice. This is a more efficient way to know when an order is paid as opposed to trying to get the status of the order every few seconds.

      Many events that happen to a Revolut Merchant account are synchronous, which means they arrive instantly and have immediate results. For example, a successful request to create a customer immediately returns a `Customer` object. Such requests don't require webhooks.

      The Revolut Merchant API supports webhooks for events including `ORDER_COMPLETED` and `ORDER_AUTHORISED`.

      :::note
      Because we cannot guarantee the delivery order of the status (`events`), you might receive the status not in the expected order. Make sure that your implementation does not rely on the order that the events are being received in.
      :::

      For example, for a completed order, you should receive the `ORDER_AUTHORISED` status first and then `ORDER_COMPLETED`. However, if the `ORDER_AUTHORISED` status isn't sent successfully at first, it's moved to the queue to be resent in the next few minutes. Before then, if the `ORDER_COMPLETED` status is sent successfully, you get `ORDER_COMPLETED` first and then `ORDER_AUTHORISED`.

      Check out our tutorial for [Using webhooks to keep track of the payment lifecycle](/docs/guides/merchant/monitor-and-observe/webhooks/using-webhooks).

      :::info
      For more information about the order and payment lifecycle, see: [Order and payment lifecycle](/docs/guides/merchant/reference/order-lifecycle).
      :::
  - name: Locations
    description: >-
      The Locations API is designed to help merchants manage multiple points of
      sale, including both **online storefronts** and **physical stores**.
      Registering locations lets you differentiate and group your orders from
      different stores. You can also introduce custom business logic for each
      location, such as different inventory management, pricing, or shipping
      rules.


      To start using locations, follow the relevant use case for your business:


      ### Online locations

        1. Register an online location using the [Create a location](/docs/api/merchant#create-location) endpoint, setting the `type` to `online`.
        1. Configure your custom processes on your backend for each registered location (e.g., grouping orders, custom pricing, etc.).
        1. Send the `location_id` parameter in the request body during [order creation](/docs/api/merchant#create-order) to assign the order to a specific location.

      ### Physical locations

        1. Register a physical location using the [Create a location](/docs/api/merchant#create-location) endpoint, setting the `type` to `physical`.
        1. In case of Revolut POS, our system handles order creation including `location_id` to associate the order with your location.

      ## Fast checkout for multiple storefronts


      Locations are particularly useful for tailoring the user experience on
      each of your online storefronts, especially when using features like
      [**Fast
      checkout**](/docs/guides/merchant/optimise-checkout/fast-checkout).


      For example, if you operate two online stores with different shipping
      rules, you can register two separate `online` locations. By then using the
      `location_id` to [register a distinct address validation
      endpoint](/docs/api/merchant#register-address-validation-endpoint) for
      each one, your backend can apply the correct shipping logic and pricing
      for the specific storefront a customer is buying from.
  - name: Terminals
    description: |-
      Operations for managing Revolut Terminal devices and push payment integrations with Point of Sale (POS) systems.

      The Terminals API enables POS software providers to integrate with Revolut Terminal devices for accepting in-person payments through a **push payments** model. This server-to-server integration allows your POS system to:

      - Discover available terminals at specific locations
      - Push payment requests to physical terminal devices
      - Track payment intent and payment status in real-time
      - Cancel pending payment requests when needed

      ## Push payments workflow

      1. **Terminal discovery:** Use the [Retrieve terminal list](/docs/api/merchant#retrieve-terminal-list) endpoint to find available terminals at a location (filtered by `operation_mode=pos`)
      1. **Payment intent creation:** Push a payment request to a specific terminal using [Create a payment intent](/docs/api/merchant#create-payment-intent)
      1. **Status tracking:** Poll the payment intent status until completion using [Retrieve a payment intent](/docs/api/merchant#retrieve-payment-intent) endpoint
      1. **Payment confirmation:** Once the payment intent reaches `completed` state, [retrieve the final payment status](/docs/api/merchant#retrieve-payment-details) using the returned `payment_id`

      :::info
      For detailed implementation guidance, see: [Push payments to Revolut Terminal](/docs/guides/merchant/accept-payments/in-person-payments/terminal/push-payments).
      :::
  - name: Payment intents
    description: |-
      Operations for managing payment intents in the push payments to Revolut Terminal flow.

      A **payment intent** represents the intention to complete payment for a specific order on a specific Revolut Terminal device. Payment intents are the mechanism that links orders created via the Merchant API with physical terminal devices in **Pay at Counter** mode.

      ## What is a payment intent?

      When you create a payment intent, you're pushing a payment request from your POS system to a Revolut Terminal. The payment intent:

      - Links an order to a specific terminal device
      - Triggers the payment request to appear on the terminal screen
      - Tracks the customer's interaction with the terminal (pending → processing → completed)
      - Provides a `payment_id` when completed, which you use to retrieve the final payment status

      ## Payment intent lifecycle

      1. **Create:** Push a payment intent to a terminal by [creating a payment intent](/docs/api/merchant#create-payment-intent)
      1. **Track:** Poll the payment intent status by [retrieving payment intent details](/docs/api/merchant#retrieve-payment-intent) until it reaches a final state
      1. **Complete:** When state is `completed`, extract the `payment_id` and [retrieve the final payment status](/docs/api/merchant#retrieve-payment-details)
      1. **Cancel (optional):** Cancel pending payment intents using [Cancel a payment intent](/docs/api/merchant#cancel-payment-intent)

      ## Important notes

      - A payment intent reaching `completed` state means the checkout process finished on the terminal, but it does **not** guarantee the payment succeeded
      - You must check the actual payment status using the `payment_id` returned in the completed payment intent
      - Payment status can be `captured`/`completed` (successful), `declined` (card rejected), `failed` (technical error), or `cancelled`

      :::info
      For the complete push payments integration guide, see: [Push payments to Revolut Terminal](/docs/guides/merchant/accept-payments/in-person-payments/terminal/push-payments).
      :::
  - name: Apple Pay merchant registration
    description: |-
      Operations for managing a merchant's domain registration and configuration with Apple for integration of Apple Pay via Revolut.

      This includes initiating domain validation with Apple, a necessary step for merchants to offer Apple Pay as a payment method on their websites or apps.

      These endpoints interact with Apple's [Apple Pay Web Merchant Registration services](https://developer.apple.com/documentation/applepaywebmerchantregistrationapi).
  - name: Other
    description: Other operations that can be done with the Merchant API.
paths:
  /api/orders:
    parameters:
      - $ref: "#/components/parameters/Authorization"
      - $ref: "#/components/parameters/Revolut-Api-Version"
    post:
      summary: Create an order
      operationId: createOrder
      description: >-
        Create an `Order` object.


        Creating orders is one of the basic operations of the Merchant API. Most
        of the other operations are related to creating orders. Furthermore, the
        payment methods merchants can use to take payments for their orders are
        also building on order creation.


        To learn more about how you can accept payments, see:
          - [Revolut Pay](/docs/guides/merchant/accept-payments/online-payments/revolut-pay/introduction)
          - [Card payments](/docs/guides/merchant/accept-payments/online-payments/card-payments/introduction)
          - [Apple Pay and Google Pay](/docs/guides/merchant/accept-payments/online-payments/apple-pay-google-pay/introduction)
          - [Pay by Bank](/docs/guides/merchant/accept-payments/online-payments/pay-by-bank/introduction)
          - [Revolut Checkout](/docs/guides/merchant/accept-payments/online-payments/revolut-checkout/introduction)
          - [Hosted Checkout Page](/docs/guides/merchant/accept-payments/online-payments/hosted-checkout-page/introduction)

        <details>

        <summary>Industry-specific requirements</summary>


        If you operate in any of the industries listed below, sharing
        industry-specific data is mandatory. Not providing the necessary
        information will result in further scrutiny from Revolut and/or the
        imposition of risk mitigation actions.


        | Industry | Related fields |

        | ------- | --------------- |

        | Airlines | `industry_data` with `type: airline` |

        | Car rentals | `industry_data` with `type: car_rental` |

        | Hotels & accommodation | `industry_data` with `type: lodging` |

        | Travel agencies (OTAs) | `industry_data` with `type: airline` or
        `industry_data` with `type: lodging` |

        | Crypto merchants | `industry_data` with `type: crypto`;
        `customer.full_name`, `customer.date_of_birth` |

        | Financial institutions | `customer.full_name`,
        `customer.date_of_birth` |

        | Stored value / Wallets | `customer.full_name`,
        `customer.date_of_birth` |

        | Event ticket sellers | `industry_data` with `type: event` |

        | Marketplace merchants | `industry_data` with `type: marketplace` |


        </details>
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/Order-Creation-v2"
            examples:
              example_order_min:
                $ref: "#/components/examples/Req-Order-Min"
              example_order_additional:
                $ref: "#/components/examples/Req-Order-Additional"
              example_order_pre_auth:
                $ref: "#/components/examples/Req-Order-Pre-Auth"
              example_order_airline:
                $ref: "#/components/examples/Req-Order-Airline"
              example_order_car_rental:
                $ref: "#/components/examples/Req-Order-Car-Rental"
              example_order_crypto:
                $ref: "#/components/examples/Req-Order-Crypto"
              example_order_marketplace:
                $ref: "#/components/examples/Req-Order-Marketplace"
              example_order_event:
                $ref: "#/components/examples/Req-Order-Event"
              example_order_lodging:
                $ref: "#/components/examples/Req-Order-Lodging"
      responses:
        "201":
          description: Order created
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Order-v2"
              examples:
                example_order_min:
                  $ref: "#/components/examples/Res-Order-Min"
                example_order_additional:
                  $ref: "#/components/examples/Res-Order-Additional"
                example_order_pre_auth:
                  $ref: "#/components/examples/Res-Order-Pre-Auth"
                example_order_airline:
                  $ref: "#/components/examples/Res-Order-Airline"
                example_order_car_rental:
                  $ref: "#/components/examples/Res-Order-Car-Rental"
                example_order_crypto:
                  $ref: "#/components/examples/Res-Order-Crypto"
                example_order_marketplace:
                  $ref: "#/components/examples/Res-Order-Marketplace"
                example_order_event:
                  $ref: "#/components/examples/Res-Order-Event"
                example_order_lodging:
                  $ref: "#/components/examples/Res-Order-Lodging"
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
              examples:
                default:
                  value:
                    code: bad_request
                    message: Could not parse JSON
                    timestamp: 1721049596461
          headers: {}
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
              examples:
                default:
                  value:
                    code: unauthenticated
                    message: Authentication failed
                    timestamp: 1721049596461
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
      tags:
        - Orders
      security:
        - Api-Key: []
  /api/orders/{order_id}:
    parameters:
      - $ref: "#/components/parameters/Authorization"
      - $ref: "#/components/parameters/Revolut-Api-Version"
      - $ref: "#/components/parameters/Order-Id"
    get:
      summary: Retrieve an order
      operationId: retrieveOrder
      description: >-
        Retrieve the details of an order that has been created. Provide the
        unique

        order ID, and the corresponding order information is returned.
      responses:
        "200":
          description: Order retrieved
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Order-v2"
              examples:
                example_order_min:
                  $ref: "#/components/examples/Res-Order-Min"
                example_order_additional:
                  $ref: "#/components/examples/Res-Order-Additional"
                example_order_pre_auth:
                  $ref: "#/components/examples/Res-Order-Pre-Auth"
                example_order_airline:
                  $ref: "#/components/examples/Res-Order-Airline"
                example_order_car_rental:
                  $ref: "#/components/examples/Res-Order-Car-Rental"
                example_order_crypto:
                  $ref: "#/components/examples/Res-Order-Crypto"
                example_order_marketplace:
                  $ref: "#/components/examples/Res-Order-Marketplace"
                example_order_event:
                  $ref: "#/components/examples/Res-Order-Event"
                example_order_lodging:
                  $ref: "#/components/examples/Res-Order-Lodging"
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
              examples:
                example-1:
                  value:
                    code: bad_request
                    message: Could not parse JSON
                    timestamp: 1601296792533
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
              examples:
                default:
                  value:
                    code: unauthenticated
                    message: Authentication failed
                    timestamp: 1721049596461
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
              examples:
                default:
                  value:
                    code: not_found
                    message: Order with id abfa5bbd-a20c-4a0e-be66-30e733454518 was not found
                    timestamp: 1721050063886
      tags:
        - Orders
      security:
        - Api-Key: []
    patch:
      summary: Update an order
      operationId: updateOrder
      description: |-
        Update the details of an order.

        You can update an order and specific parameters based on the value of the `state` parameter:
          
        | State parameter value | Modifiable parameters |
        | --------------------- | --------------------- |
        | `pending` | You can modify all listed parameters. |
        | `authorised` | You can modify the following parameters: <br /><br /> <ul><li>`merchant_order_data.reference`</li><li>`description`</li><li>`metadata`</li><li>`shipping_address`</li><li>`industry_data`</li><li>`cancel_authorised_after`</li></ul> |
        | `completed` | You can modify the following parameters: <br /><br /> <ul><li>`merchant_order_data.reference`</li><li>`description`</li><li>`metadata`</li><li>`shipping_address`</li><li>`industry_data`</li></ul> |
        | `processing` | You cannot modify parameters. |

        :::info
        For more information about the order lifecycle, see: [Order and payment lifecycle](/docs/guides/merchant/reference/order-lifecycle).
        :::
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/Order-Update-v2"
            examples:
              example_update_order:
                summary: Example order update
                value:
                  amount: 1000
                  currency: EUR
                  settlement_currency: GBP
                  capture_mode: manual
                  cancel_authorised_after: P3D
                  metadata:
                    example_key: example_value
                  merchant_order_data:
                    url: https://example.com/orders/12345
                  statement_descriptor_suffix: "12345"
      responses:
        "200":
          description: Order updated
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Order-v2"
              examples:
                example_order_updated:
                  summary: Example order update response
                  value:
                    id: 651a941a-02ef-af6f-9b6c-458c652e2c6a
                    token: 0aa685ee-8d86-441d-bedd-3f7fbf41731b
                    type: payment
                    state: pending
                    created_at: 2023-10-02T09:57:46.498026Z
                    updated_at: 2023-10-02T11:54:46.648414Z
                    amount: 1000
                    currency: EUR
                    outstanding_amount: 1000
                    settlement_currency: GBP
                    capture_mode: manual
                    cancel_authorised_after: P3D
                    checkout_url: https://checkout.revolut.com/payment-link/0aa685ee-8d86-441d-bedd-3f7fbf41731b
                    metadata:
                      example_key: example_value
                    enforce_challenge: automatic
                    merchant_order_data:
                      url: https://example.com/orders/12345
                    statement_descriptor_suffix: "12345"
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
              examples:
                default:
                  value:
                    code: bad_request
                    message: Could not parse JSON
                    timestamp: 1721049596461
          headers: {}
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
              examples:
                default:
                  value:
                    code: unauthenticated
                    message: Authentication failed
                    timestamp: 1721049596461
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
              examples:
                default:
                  value:
                    code: not_found
                    message: Order with id abfa5bbd-a20c-4a0e-be66-30e733454518 was not found
                    timestamp: 1721050063886
        "422":
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
              examples:
                default:
                  value:
                    code: order_invalid_state
                    message: Operation cannot be performed because order is in completed state and
                      expected is [pending]
                    timestamp: 1721049952145
      tags:
        - Orders
      security:
        - Api-Key: []
  /api/1.0/orders:
    parameters:
      - $ref: "#/components/parameters/Authorization"
    get:
      summary: Retrieve an order list
      operationId: retrieveOrderList
      description: >-
        Retrieve all the orders that you've created. You can also use the query
        parameters for:

          | Filtering | Pagination |
          | --------- | ---------- |
          | Filter the orders that you want to retrieve, for example, only retrieve the orders that have a specific email. <br/><br/>Parameters used for filtering:<br/><ul><li>`from_created_date`</li><li>`to_created_date`</li><li>`customer_id`</li><li>`email`</li><li>`merchant_order_ext_ref`</li><li>`state`</li></ul> | View the orders without loading all of them at once, for example, return a specified number of orders per page. <br/><br/>Parameters used for pagination: <br/><ul><li>`limit`</li><li>`created_before`</li></ul> |

        The response contains an array of simplified `Order` objects. To get the
        full details of an `Order` object, use the [Retrieve an
        order](/docs/api/merchant#retrieve-order) endpoint.
      parameters:
        - schema:
            type: integer
            default: 100
            minimum: 1
            maximum: 1000
          in: query
          name: limit
          description: The maximum number of orders returned per page. Used for
            **pagination**.
        - schema:
            type: string
            format: date-time
          in: query
          name: created_before
          description: >-
            Retrieve orders with a `created_date` < `created_before`. Used for
            **pagination**. Use the `created_date` of the last order returned in
            the previous response to get to the next page.


            The default value is the current date and time you are calling the
            endpoint.
        - schema:
            type: string
            format: date-time
          in: query
          name: from_created_date
          description: >-
            Retrieve all orders with a `created_date` ≥ `from_created_date`.
            Used for **filtering**.


            Use the [ISO date format](https://en.wikipedia.org/wiki/ISO_8601):
            `yyyy-MM-ddTHH:mm:ss[.SSSSSS]Z`. For example,
            `2021-02-10T16:59:50.886826Z`.
        - schema:
            type: string
            format: date-time
          in: query
          name: to_created_date
          description: >-
            Retrieve all orders with a `created_date` ≤ `to_created_date`. Used
            for **filtering**.


            Use the [ISO date format](https://en.wikipedia.org/wiki/ISO_8601):
            `yyyy-MM-ddTHH:mm:ss[.SSSSSS]Z`. For example,
            `2021-02-10T16:59:50.886826Z`.
        - schema:
            type: string
            format: uuid
          in: query
          name: customer_id
          description: Retrieve all orders that have this `customer_id` associated to
            them. Used for **filtering**.
        - schema:
            type: string
            format: email
          in: query
          name: email
          description: >-
            Retrieve all orders that have this `email` associated to them. Used
            for **filtering**. 


            This parameter is case sensitive.
        - schema:
            type: string
          in: query
          name: merchant_order_ext_ref
          description: >-
            Merchant order ID for external reference. Use this field to filter
            and retrieve all the orders that have this ID. Used for
            **filtering**. 


            This parameter is case sensitive.
        - schema:
            type: array
            items:
              type: string
              enum:
                - PENDING
                - PROCESSING
                - AUTHORISED
                - COMPLETED
                - CANCELLED
                - FAILED
          style: form
          explode: true
          in: query
          name: state
          description: |-
            Retrieve all orders with specific states. You can pass several states. Used for **filtering**.

            If multiple states are selected, for example `AUTHORISED` and `COMPLETED`, orders with either of the selected values are returned. See this example of such a request URL: 

            ```curl
            https://merchant.revolut.com/api/1.0/orders?state=AUTHORISED&state=COMPLETED
            ```

            The parameter is case sensitive.
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/Simplified-Order"
              examples:
                list_of_orders:
                  summary: List of orders
                  value:
                    - id: f0d685f4-07ab-4eff-ba80-5811303c607d
                      type: PAYMENT
                      state: PENDING
                      created_at: 2021-02-10T18:17:37.959383Z
                      updated_at: 2021-02-10T18:17:37.959383Z
                      order_amount:
                        value: 35000
                        currency: GBP
                      order_outstanding_amount:
                        value: 35000
                        currency: GBP
                    - id: feca684a-b9ea-4033-9bc4-b9e6ac12ada6
                      type: PAYMENT
                      state: COMPLETED
                      created_at: 2021-02-10T16:59:23.642673Z
                      updated_at: 2021-02-10T16:59:50.886826Z
                      completed_at: 2021-02-10T16:59:50.886826Z
                      settlement_currency: USD
                      email: sally.gibson@lloydsbank.co.uk
                      order_amount:
                        value: 1000
                        currency: GBP
                      order_outstanding_amount:
                        value: 0
                        currency: GBP
                    - id: f3c5e3f1-f73a-4853-a9e3-b0261301c66a
                      type: PAYMENT
                      state: COMPLETED
                      created_at: 2021-02-10T16:58:47.507560Z
                      updated_at: 2021-02-10T16:59:52.847017Z
                      completed_at: 2021-02-10T16:59:52.847017Z
                      description: URBAN 'Panther' Watch by José Almeida
                      capture_mode: AUTOMATIC
                      merchant_order_ext_ref: testorder123
                      customer_id: 31345442-3d03-4c4b-8354-3bdaf0ca9600
                      email: someothermail@gmail.com
                      order_amount:
                        value: 777
                        currency: GBP
                      order_outstanding_amount:
                        value: 0
                        currency: GBP
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
      security:
        - Api-Key: []
      tags:
        - Orders
  /api/orders/{order_id}/capture:
    parameters:
      - $ref: "#/components/parameters/Authorization"
      - $ref: "#/components/parameters/Revolut-Api-Version"
      - $ref: "#/components/parameters/Order-Id"
    post:
      summary: Capture an order
      operationId: captureOrder
      description: |-
        This endpoint is used to capture the funds of an existing, uncaptured order. When the payment for an order is authorised, you can capture the order to send it to the processing stage.

        :::info
        For more information about the order and payment lifecycle, see: [Order and payment
        lifecycle](/docs/guides/merchant/reference/order-lifecycle).
        :::

        ## Capture modes

        When you [create an order](/docs/api/merchant#create-order), you can choose one of the following capture modes:

          | **Capture mode** | **Description** |
          | ---------------- | --------------- |
          | `automatic` | The order is captured automatically after payment authorisation. No further actions are needed. |
          | `manual` | The order is not captured automatically and stays in `authorised` state. You must manually capture the order using the steps outlined below. |

        :::warning
        Uncaptured orders remain in `authorised` state **for 7 days**. If not captured within this period, the funds are returned to the customer's original payment method.
        :::

        ### Manual capture
          
        To capture an order manually, use one of the following methods:
          
        | **Web UI** | **Merchant API** |
        | ---------- | ------------ |
        | <ol><li>Log in to your [Revolut Business portal](https://business.revolut.com).</li><li>Navigate to the **Merchant** tab on the dashboard, and click the **See all** button in the **Transactions** section.</li><li>Select an uncaptured payment, and click **Capture**.</li></ol> | Use the `/capture` endpoint. |

        :::info
        For more information about manually capturing an order, see: [Authorise an amount to capture
        later](/docs/guides/merchant/operations/capture-and-settlement/capture-later).
        :::

        #### Partial capture
         
        You have the option to capture only a fraction of the full amount. In such cases, the uncaptured portion of the amount will be voided.

        :::warning
        The following limitations apply to manual captures:
          - An order can only be captured once
          - Captured amount can't exceed the authorised amount
          - On Web UI, only capturing full amount is possible
          - `0` amount captures are not allowed
          - For partial captures, you can only resend the request with the initial amount
        :::

        ## Idempotency and repeated requests

        The capture operation is idempotent. This means that an order can only be captured once. If you send a capture request more than once:

        - The first valid request captures the order and moves it to the processing stage.
        - Any subsequent request with the same capture amount will not recapture funds and behaves like a [Retrieve an order](/docs/api/merchant#retrieve-order) request, returning the current order state.
        - A subsequent request with a different capture amount returns an error.

        :::info
        Utilising the idempotent nature of this endpoint helps maintain data consistency and prevents duplicate processing of the same order.
        :::
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/Order-Capture"
            examples:
              example_minimal:
                $ref: "#/components/examples/Req-Order-Capture-Min"
      responses:
        "200":
          description: Order captured
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Order-v2"
              examples:
                captured_order:
                  summary: Captured order
                  value:
                    id: 65c4c739-113d-a608-9128-47c7ca90cbe3
                    token: ebc06202-061e-4d0f-8063-99195fad31fb
                    type: payment
                    state: completed
                    created_at: 2024-02-08T12:21:13.022871Z
                    updated_at: 2024-02-08T12:21:52.194601Z
                    amount: 100
                    currency: GBP
                    refunded_amount: 0
                    outstanding_amount: 0
                    capture_mode: manual
                    payments:
                      - id: 65c4c748-bf0d-af8a-9d69-0fc92bc0ff94
                        state: captured
                        created_at: 2024-02-08T12:21:28.803165Z
                        updated_at: 2024-02-08T12:21:52.191352Z
                        token: 74af5a2b-6722-4353-aaf1-cd5926883b60
                        amount: 100
                        currency: GBP
                        settled_amount: 100
                        settled_currency: GBP
                        billing_address:
                          country_code: US
                          postcode: "12345"
                        risk_level: low
                        fees: []
                        payment_method:
                          type: revolut_pay_card
                          card_brand: visa
                          funding: debit
                          card_country_code: US
                          card_bin: "529999"
                          card_last_four: "0368"
                          card_expiry: 12/28
                          cardholder_name: Test Holder
                          checks:
                            three_ds:
                              state: verified
                              version: 2
                    enforce_challenge: automatic
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
              examples:
                example-1:
                  value:
                    code: bad_request
                    message: Could not parse JSON
                    timestamp: 1601296792533
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
              examples:
                default:
                  value:
                    code: unauthenticated
                    message: Authentication failed
                    timestamp: 1721049596461
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
              examples:
                default:
                  value:
                    code: not_found
                    message: Order with id abfa5bbd-a20c-4a0e-be66-30e733454518 was not found
                    timestamp: 1721050063886
      security:
        - Api-Key: []
      tags:
        - Orders
  /api/orders/{order_id}/cancel:
    parameters:
      - $ref: "#/components/parameters/Authorization"
      - $ref: "#/components/parameters/Revolut-Api-Version-Optional"
      - $ref: "#/components/parameters/Order-Id"
    post:
      summary: Cancel an order
      operationId: cancelOrder
      description: >-
        Cancel an existing uncaptured order.


        You can only cancel an order that is in one of the following states:
          
          | Order state | Description |
          | ----------- | ----------- |
          | `pending` | The order does not have any successful payment. |
          | `authorised` | The `capture_mode` of an order is set to `manual` and the customer has made a successful payment. |

        :::info

        For more information about the order lifecycle, see: [Order and payment
        lifecycle](/docs/guides/merchant/reference/order-lifecycle).

        :::
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Order-v2"
              examples:
                example_order_min:
                  $ref: "#/components/examples/Res-Order-Cancel-Min"
                example_order_additional:
                  $ref: "#/components/examples/Res-Order-Cancel-Additional"
                example_order_airline:
                  $ref: "#/components/examples/Res-Order-Cancel-Airline"
                example_order_crypto:
                  $ref: "#/components/examples/Res-Order-Cancel-Crypto"
                example_order_marketplace:
                  $ref: "#/components/examples/Res-Order-Cancel-Marketplace"
                example_order_event:
                  $ref: "#/components/examples/Res-Order-Cancel-Event"
                example_order_lodging:
                  $ref: "#/components/examples/Res-Order-Cancel-Lodging"
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
              examples:
                example-1:
                  value:
                    code: bad_request
                    message: Could not parse JSON
                    timestamp: 1601296792533
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
              examples:
                default:
                  value:
                    code: unauthenticated
                    message: Authentication failed
                    timestamp: 1721049596461
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
              examples:
                default:
                  value:
                    code: not_found
                    message: Order with id abfa5bbd-a20c-4a0e-be66-30e733454518 was not found
                    timestamp: 1721050063886
      security:
        - Api-Key: []
      tags:
        - Orders
  /api/1.0/orders/{order_id}/refund:
    parameters:
      - $ref: "#/components/parameters/Authorization"
      - $ref: "#/components/parameters/Idempotency-Key"
      - $ref: "#/components/parameters/Order-Id"
    post:
      summary: Refund an order (Deprecated)
      operationId: refundOrderDeprecated
      description: >-
        Issue a refund for a completed order. This operation allows for either a
        full or partial refund, which will be processed back to the customer's
        original payment method.


        ## Operation details


        - The refund operation generates a new order with `type: REFUND`. This
        new order represents a full or partial refund of the original amount
        paid.

        - Refunds can only be initiated for orders that are in the `COMPLETED`
        state. Orders in any other state are not eligible for refunds to ensure
        transaction integrity and to prevent errors.


        :::note
          - Ensure that the order to be refunded is confirmed as `COMPLETED` before attempting a refund operation.
          - Consider using the `Idempotency-Key` header to make the refund operation idempotent, preventing duplicate refund processing in cases of multiple submissions.
        :::
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/Order-Refund"
            examples:
              default:
                value:
                  amount: 40
                  description: Refund for damaged goods
      responses:
        "201":
          description: OK
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Order"
              examples:
                refund_example:
                  summary: Refund example
                  value:
                    id: 6a1353a8-3054-40ee-ab39-97a11e4c5f2a
                    type: REFUND
                    state: COMPLETED
                    created_at: 2020-05-12T14:23:11.046526Z
                    updated_at: 2020-05-12T14:23:11.046526Z
                    completed_at: 2020-05-12T14:23:11.046526Z
                    order_amount:
                      value: 40
                      currency: GBP
                    email: customer@gmail.com
                    full_name: Example Customer
                    related:
                      - id: 4695b666-45d0-4f15-ad10-e66a84c914bf
                        type: PAYMENT
                        amount:
                          value: 100
                          currency: GBP
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "401":
          description: Unauthorized
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "422":
          description: Insufficient funds
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorId:
                    type: string
                    description: The ID of the error. You can share this ID with Revolut support for
                      troubleshooting.
                  timestamp:
                    type: integer
                    description: The date and time the error happened.
                  code:
                    type: integer
              examples:
                example-1:
                  value:
                    errorId: 94b27660-fdda-49ec-8b85-cd46a068ade0
                    timestamp: 1601296792533
                    code: 1026
      security:
        - Api-Key: []
      tags:
        - Orders
  /api/orders/{order_id}/payments:
    parameters:
      - $ref: "#/components/parameters/Authorization"
      - $ref: "#/components/parameters/Order-Id"
    post:
      summary: Pay for an order
      operationId: payOrder
      description: |-
        Initiate a payment to pay full amount for an order using a customer's saved payment method.

        :::note
        The `/orders/{order_id}/confirm` endpoint has been deprecated. It will be only supported for already existing implementations.
        :::

        :::warning
        This endpoint is part of a new API, pay attention to the different endpoint URL. 
        :::

        For more information about how to save and charge payment methods, see: [Charge a customer's saved payment method](/docs/guides/merchant/optimise-checkout/save-payment-methods/charge-saved-payment-method).

        The following table shows who can initiate payments on saved payment methods (`initiator` parameter), depending on if the payment method was saved for the customer or the merchant (`savedPaymentMethodFor` parameter):

          |                           | `savePaymentMethodFor: customer` | `savePaymentMethodFor: merchant` |
          | ------------------------- | -------------------------------- | -------------------------------- |
          | **`initiator: customer`** | Allowed                          | Allowed                          |
          | **`initiator: merchant`** | Not allowed                      | Allowed                          |


        :::note
        Using this endpoint, only merchant initiated payments are supported with Revolut Pay.
        :::
                  
        For more information about customers' payment methods, see the [Retrieve payment method list of a customer](/docs/api/merchant#retrieve-payment-method-list) operation.
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/Saved-Payment-Method"
            examples:
              saved_card_customer:
                summary: Saved card (customer initiator)
                value:
                  saved_payment_method:
                    type: card
                    id: 2b83c23a-650e-40c3-8989-00ee24478738
                    initiator: customer
                    environment:
                      type: browser
                      time_zone_utc_offset: 180
                      color_depth: 48
                      screen_width: 1920
                      screen_height: 1080
                      java_enabled: true
                      challenge_window_width: 640
                      browser_url: https://business.revolut.com
              saved_card_merchant:
                summary: Saved card (merchant initiator)
                value:
                  saved_payment_method:
                    type: card
                    id: 2b83c23a-650e-40c3-8989-00ee24478738
                    initiator: merchant
              revolut_pay:
                summary: Saved Revolut Pay (merchant initiator)
                value:
                  saved_payment_method:
                    type: revolut_pay
                    id: 2b83c23a-650e-40c3-8989-00ee24478738
                    initiator: merchant
      responses:
        "200":
          description: Payment initiated
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Payment-Retrieval"
              examples:
                successful_payment_card:
                  summary: Payment authorised (card)
                  value:
                    id: 63c55e04-4208-a43d-9c96-eaee848ffbaf
                    order_id: 63c55df6-1461-a886-b90f-f49d3c370253
                    payment_method:
                      type: card
                      id: 2b83c23a-650e-40c3-8989-00ee24478738
                      brand: mastercard_credit
                      last_four: "1234"
                    state: authorisation_passed
                successful_payment_revolut_pay_account:
                  summary: Payment authorised (Revolut Pay - Revolut account)
                  value:
                    id: 63c55e04-4208-a43d-9c96-eaee848ffbaf
                    order_id: 63c55df6-1461-a886-b90f-f49d3c370253
                    payment_method:
                      type: revolut_pay
                      subtype: revolut_account
                      id: 2b83c23a-650e-40c3-8989-00ee24478738
                    state: authorisation_passed
                successful_payment_revolut_pay_card:
                  summary: Payment authorised (Revolut Pay - card)
                  value:
                    id: 63c55e04-4208-a43d-9c96-eaee848ffbaf
                    order_id: 63c55df6-1461-a886-b90f-f49d3c370253
                    payment_method:
                      type: revolut_pay
                      subtype: card
                      id: 2b83c23a-650e-40c3-8989-00ee24478738
                      brand: visa
                      last_four: "1234"
                    state: authorisation_passed
                three_ds:
                  summary: Saved card payment (3DS challenge)
                  value:
                    id: 5e96b328-4054-41ed-b089-595ccc4d0870
                    order_id: a16718e0-077a-4942-89bc-23ac17a2e14c
                    payment_method:
                      type: card
                      id: 2b83c23a-650e-40c3-8989-00ee24478738
                      brand: mastercard_credit
                      last_four: "1234"
                    state: authentication_challenge
                    authentication_challenge:
                      type: three_ds
                      acs_url: https://example.com
                three_ds_fingerprint:
                  summary: Saved card payment (3DS fingerprint challenge)
                  value:
                    id: 5e96b328-4054-41ed-b089-595ccc4d0870
                    order_id: a16718e0-077a-4942-89bc-23ac17a2e14c
                    payment_method:
                      type: card
                      id: 2b83c23a-650e-40c3-8989-00ee24478738
                      brand: mastercard_credit
                      last_four: "1234"
                    state: authentication_challenge
                    authentication_challenge:
                      type: three_ds_fingerprint
                      fingerprint_url: https://example.com
                      fingerprint_data: string
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorId:
                    type: string
                    description: |-
                      The ID of the error. You can share this ID with Revolut
                      support for troubleshooting.
                  timestamp:
                    type: integer
                    description: The date and time the error happened.
              examples:
                example-1:
                  value:
                    errorId: 94b27660-fdda-49ec-8b85-cd46a068ade0
                    timestamp: 1601296792533
        "401":
          description: Unauthorized
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorId:
                    type: string
                    description: |-
                      The ID of the error. You can share this ID with Revolut
                      support for troubleshooting.
                  timestamp:
                    type: integer
                    description: The date and time the error happened.
                  code:
                    type: integer
              examples:
                example-1:
                  value:
                    errorId: 94b27660-fdda-49ec-8b85-cd46a068ade0
                    timestamp: 1601296792533
                    code: 1024
      security:
        - Api-Key: []
      tags:
        - Orders
        - Payments
    get:
      summary: Retrieve payment list of an order
      operationId: retrievePaymentList
      description: >-
        Retrieve a list of payments for a specific order, based on the order's
        ID.


        :::note

        This endpoint is part of a new API, pay attention to the different
        endpoint URL.

        :::


        Use this endpoint to retrieve payment details for saved payment methods
        to make merchant and customer initiated transactions. For more
        information, see: 
          - [Speed up customer checkout by using saved card details](/docs/guides/merchant/optimise-checkout/save-payment-methods/checkout-with-saved-card)
          - [Manage subscriptions](/docs/guides/merchant/optimise-checkout/save-payment-methods/subscription-management)
      responses:
        "200":
          description: List of payments
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/Payment-Retrieval"
              examples:
                payment_list:
                  summary: List of payments (failed card attempt, SEPA Direct Debit retry)
                  value:
                    - id: 63dd0e4a-42c4-a1a6-ab2c-6ac9d255ca4b
                      token: 294358bf-3818-49b2-aacc-7ca971f52695
                      order_id: 63dd0e3f-7b84-ab5c-927c-1a06f7c9583a
                      state: declined
                      amount: 100
                      currency: EUR
                      payment_method:
                        type: card
                        card_brand: visa
                        funding: credit
                        card_last_four: "1234"
                    - id: 649adc44-3e86-a832-879c-2f6d0255dd4c
                      token: 8061e645-35e0-42bb-8318-603abaeab7b7
                      order_id: 63dd0e3f-7b84-ab5c-927c-1a06f7c9583a
                      state: declined
                      amount: 100
                      currency: EUR
                      decline_reason: insufficient_funds
                      payment_method:
                        type: revolut_pay
                        subtype: revolut_account
                    - id: 663387f1-1c2e-a295-b143-9f1fb1eec175
                      token: 663387f1-c91e-a464-908a-1cc4548ebc6a
                      order_id: 63dd0e3f-7b84-ab5c-927c-1a06f7c9583a
                      state: pending
                      amount: 100
                      currency: EUR
                      payment_method:
                        type: sepa_direct_debit
                        debtor_iban_last_four: "1234"
                        debtor_name: John Doe
                        mandate_reference: A1B2C3D4E5F6A1B2C3D4E5F6A1B2C3D4
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
              examples:
                default:
                  value:
                    code: bad_request
                    message: Could not parse JSON
                    timestamp: 1720528890647
        "401":
          description: Unauthenticated
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
              examples:
                default:
                  value:
                    code: unauthenticated
                    message: Authentication failed
                    timestamp: 1720528890647
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
                examples:
                  - code: not_found
                    message: Order with id b8883ab5-964a-4329-aa44-4d3c76cf3f54 was not found
                    timestamp: 1720528890647
      security:
        - Api-Key: []
      tags:
        - Orders
        - Payments
  /api/1.0/customers:
    parameters:
      - $ref: "#/components/parameters/Authorization"
    post:
      summary: Create a customer (Deprecated)
      deprecated: true
      operationId: createCustomerDeprecated
      description: |-
        Create a `customer` that has the information in the body of the request.

        :::note
        If you wish to save a customer's payment details using any of the available payment methods on the Revolut Checkout Widget ([Revolut Pay](/docs/guides/merchant/accept-payments/online-payments/revolut-pay/introduction), [Card payments](/docs/guides/merchant/accept-payments/online-payments/card-payments/introduction)), you need to meet one of the following requirements:

          - Have a customer object with `email` and assign it to the order by providing `customer.id`
          - Create a new customer with, at least, `customer.email` during [order creation](/docs/api/merchant#create-order)

        For more information, see: [Charge a customer's saved payment method](/docs/guides/merchant/optimise-checkout/save-payment-methods/charge-saved-payment-method).
        :::
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/Customer-Creation"
            examples:
              default:
                value:
                  full_name: Example Customer
                  business_name: Example Business
                  email: example.customer@example.com
                  phone: "+441234567890"
                  date_of_birth: 1990-01-01
      responses:
        "201":
          description: Created
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Customer"
              examples:
                created_customer:
                  summary: Created customer
                  value:
                    id: 6c7c97a8-cfc1-4cf3-8b38-26a74fdf1fae
                    full_name: Example Customer
                    business_name: Example Business
                    email: example.customer@example.com
                    phone: "+441234567890"
                    date_of_birth: 1990-01-01
                    created_at: 2020-06-24T12:03:39.979397Z
                    updated_at: 2020-06-24T12:03:39.979397Z
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                description: ""
                type: object
                properties:
                  errorId:
                    type: string
                    description: |-
                      The ID of the error. You can share this ID with Revolut
                      support for troubleshooting.
                  timestamp:
                    type: number
                    description: The date and time the error happened.
                  code:
                    type: number
                    description: "`1018` - The customer already exists."
                required:
                  - errorId
                  - timestamp
              examples:
                Error:
                  value:
                    errorId: 5226f800-e9be-4b74-ae61-6c7b71c913b5
                    timestamp: 1593439990599
                    code: 1018
        "401":
          description: Unauthorized
      security:
        - Api-Key: []
      tags:
        - Customers
    get:
      summary: Retrieve a customer list (Deprecated)
      deprecated: true
      operationId: retrieveAllCustomersDeprecated
      description: Get a list of all your `customers`.
      parameters:
        - schema:
            type: integer
            default: 100
            minimum: 1
            maximum: 100
          in: query
          name: limit
          description: The maximum number of customers returned per page. Used for
            **pagination**.
        - schema:
            type: integer
            default: 0
            minimum: 0
          in: query
          name: page
          description: A zero-based page index for the paginated results, used in
            conjunction with `limit`.
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/Customer"
              examples:
                list_of_customers:
                  summary: List of customers
                  value:
                    - id: 9dfb8491-bfb0-4420-ad63-0fa7bdd3dffb
                      full_name: First Customer
                      email: first.customer@example.com
                      date_of_birth: 1990-01-01
                      created_at: 2020-06-24T12:12:56.596703Z
                      updated_at: 2020-06-24T12:12:56.737082Z
                    - id: 6c7c97a8-cfc1-4cf3-8b38-26a74fdf1fae
                      full_name: Second Customer
                      business_name: Second Business
                      email: second.customer@example.com
                      phone: "+441234567890"
                      created_at: 2020-06-24T12:03:39.979397Z
                      updated_at: 2020-06-25T10:03:39.134417Z
                    - id: 014f0ad6-c45b-4d7d-83c6-80eea94fceac
                      full_name: Third Customer
                      email: third.customer@example.com
                      phone: "+441234567890"
                      created_at: 2020-06-23T14:13:08.262336Z
                      updated_at: 2020-06-24T10:47:11.173027Z
        "401":
          description: Unauthorized
      security:
        - Api-Key: []
      tags:
        - Customers
  /api/1.0/customers/{customer_id}:
    parameters:
      - $ref: "#/components/parameters/Authorization"
      - $ref: "#/components/parameters/Customer-Id"
    get:
      summary: Retrieve a customer (Deprecated)
      deprecated: true
      operationId: retrieveCustomerDeprecated
      description: Get the information about a specific `customer`, based on its ID.
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Customer-With-Payment-Method"
              examples:
                retrieved_customer:
                  summary: Retrieved customer
                  value:
                    id: 6c7c97a8-cfc1-4cf3-8b38-26a74fdf1fae
                    full_name: Example Customer
                    business_name: Example Business
                    email: example.customer@example.com
                    phone: "+441234567890"
                    date_of_birth: 1990-01-01
                    created_at: 2020-06-24T12:03:39.979397Z
                    updated_at: 2020-06-25T10:03:39.134417Z
                    payment_methods:
                      - id: 648334a8-9546-a983-a81a-efc6d5bdd0be
                        type: REVOLUT_PAY
                        saved_for: MERCHANT
                        method_details:
                          created_at: 2023-06-09T14:18:16.577888Z
                      - id: edef3ba4-60a0-4df3-8f12-e5fc858c2420
                        type: CARD
                        saved_for: CUSTOMER
                        method_details:
                          bin: "459765"
                          last4: "6578"
                          expiry_month: 2
                          expiry_year: 2025
                          cardholder_name: Example Customer
                          brand: VISA
                          funding: DEBIT
                          issuer: EXAMPLE ISSUER
                          issuer_country: GB
                          billing_address:
                            street_line_1: 7, Westferry Circus
                            street_line_2: Columbus Building
                            postcode: E144HD
                            city: London
                            region: Greater London
                            country_code: GB
                          created_at: 2023-03-24T14:15:22Z
        "401":
          description: Unauthorized
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
      security:
        - Api-Key: []
      tags:
        - Customers
    patch:
      summary: Update a customer (Deprecated)
      deprecated: true
      operationId: updateCustomerDeprecated
      description: Update the attributes of a specific `customer`.
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/Customer-Update"
            examples:
              default:
                value:
                  email: example.business@example.com
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Customer"
              examples:
                updated_customer:
                  summary: Updated customer
                  value:
                    id: 6c7c97a8-cfc1-4cf3-8b38-26a74fdf1fae
                    full_name: Example Customer
                    business_name: Example Business
                    email: example.business@example.com
                    phone: "+441234567890"
                    date_of_birth: 1990-01-01
                    created_at: 2020-06-24T12:03:39.979397Z
                    updated_at: 2020-06-25T10:03:39.134417Z
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorId:
                    type: string
                    description: |-
                      The ID of the error. You can share this ID with Revolut
                      support for troubleshooting.
                  timestamp:
                    type: integer
                    description: The date and time the error happened.
              examples:
                example-1:
                  value:
                    errorId: 94b27660-fdda-49ec-8b85-cd46a068ade0
                    timestamp: 1601296792533
        "401":
          description: Unauthorized
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
      security:
        - Api-Key: []
      tags:
        - Customers
    delete:
      summary: Delete a customer (Deprecated)
      deprecated: true
      operationId: deleteCustomerDeprecated
      description: Delete the profile of a specific `customer`.
      responses:
        "204":
          description: No Content
        "401":
          description: Unauthorized
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
      security:
        - Api-Key: []
      tags:
        - Customers
  /api/1.0/customers/{customer_id}/payment-methods:
    parameters:
      - $ref: "#/components/parameters/Authorization"
      - $ref: "#/components/parameters/Customer-Id"
    get:
      summary: Retrieve all payment methods of a customer (Deprecated)
      deprecated: true
      operationId: retrieveAllPaymentMethodsDeprecated
      description: >-
        Retrieve all the payment methods for a specific customer. 


        This can be useful in the following example cases:


        - To show what information is stored for the customer.

        - To try a different payment method if the first payment method fails
        when a recurring transaction occurs.
      parameters:
        - name: only_merchant
          in: query
          schema:
            type: boolean
            default: false
          description: >-
            If `only_merchant` is set to `true`, you retrieve the payment
            methods

            that were saved for the merchant (`saved_for: "MERCHANT"`).


            To use this parameter insert it at the end of the request URL. See
            this example for a request URL in Production environment: 

              ```curl
              https://merchant.revolut.com/api/1.0/customers/{customer_id}/payment-methods?only_merchant=true
              ``` 
          required: false
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/Customer-Payment-Method"
              examples:
                list_of_payment_methods:
                  summary: List of payment methods
                  value:
                    - id: 648334a8-9546-a983-a81a-efc6d5bdd0be
                      type: REVOLUT_PAY
                      saved_for: MERCHANT
                      method_details:
                        created_at: 2023-06-09T14:18:16.577888Z
                    - id: edef3ba4-60a0-4df3-8f12-e5fc858c2420
                      type: CARD
                      saved_for: CUSTOMER
                      method_details:
                        bin: "459678"
                        last4: "6896"
                        expiry_month: 3
                        expiry_year: 2025
                        cardholder_name: Example Customer
                        brand: VISA
                        funding: DEBIT
                        issuer: EXAMPLE ISSUER
                        issuer_country: GB
                        billing_address:
                          street_line_1: "7"
                          street_line_2: Westferry Circus
                          postcode: E144HD
                          city: London
                          region: Greater London
                          country_code: GB
                        created_at: 2023-03-24T14:15:22Z
                    - id: a04406c4-05be-498b-8207-cc1e02a9b3ca
                      type: CARD
                      saved_for: MERCHANT
                      method_details:
                        bin: "459885"
                        last4: "7653"
                        expiry_month: 12
                        expiry_year: 2021
                        cardholder_name: Example Holder
                        brand: MASTERCARD
                        funding: CREDIT
                        issuer: EXAMPLE ISSUER
                        issuer_country: GB
                        billing_address:
                          street_line_1: Revolut
                          street_line_2: 1 Canada Square
                          postcode: EC2V 6DN
                          city: London
                          region: Greater London
                          country_code: GB
                        created_at: 2023-03-24T14:15:22Z
                list_of_only_merchant_payment_methods:
                  summary: List of payment methods (only_merchant=true)
                  value:
                    - id: 624baa72-0a30-4ee3-9870-d7172912704c
                      type: CARD
                      saved_for: MERCHANT
                      method_details:
                        bin: "492942"
                        last4: "5709"
                        expiry_month: 12
                        expiry_year: 2025
                        cardholder_name: Example Customer
                        billing_address:
                          street_line_1: "7"
                          street_line_2: Westferry Circus
                          postcode: E144HD
                          city: London
                          region: Greater London
                          country_code: GB
                        created_at: 2023-03-24T14:15:22Z
                    - id: b92b7413-8764-4f8e-855d-d9b6986af2d9
                      type: CARD
                      saved_for: MERCHANT
                      method_details:
                        bin: "528143"
                        last4: "7653"
                        expiry_month: 12
                        expiry_year: 2025
                        cardholder_name: Example Holder
                        billing_address:
                          street_line_1: Revolut
                          street_line_2: 1 Canada Square
                          postcode: EC2V 6DN
                          city: London
                          region: Greater London
                          country_code: GB
                        created_at: 2023-03-24T14:15:22Z
        "401":
          description: Unauthorized
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
      security:
        - Api-Key: []
      tags:
        - Customers
  /api/1.0/customers/{customer_id}/payment-methods/{payment_method_id}:
    parameters:
      - $ref: "#/components/parameters/Authorization"
      - $ref: "#/components/parameters/Customer-Id"
      - $ref: "#/components/parameters/Payment-Method-Id"
    get:
      summary: Retrieve a customer's payment method (Deprecated)
      deprecated: true
      operationId: retrievePaymentMethodDeprecated
      description: Retrieve the information of a specific payment method that is saved.
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Customer-Payment-Method"
              examples:
                retrieved_payment_method:
                  summary: Retrieved payment method
                  value:
                    id: edef3ba4-60a0-4df3-8f12-e5fc858c2420
                    type: CARD
                    saved_for: CUSTOMER
                    method_details:
                      bin: "459678"
                      last4: "6896"
                      expiry_month: 3
                      expiry_year: 2025
                      cardholder_name: Example Customer
                      brand: VISA
                      funding: DEBIT
                      issuer: EXAMPLE ISSUER
                      issuer_country: GB
                      billing_address:
                        street_line_1: "7"
                        street_line_2: Westferry Circus
                        postcode: E144HD
                        city: London
                        region: Greater London
                        country_code: GB
                      created_at: 2023-03-24T14:15:22Z
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
      security:
        - Api-Key: []
      tags:
        - Customers
    patch:
      summary: Update a customer's payment method (Deprecated)
      deprecated: true
      operationId: updatePaymentMethodDeprecated
      description: >-
        When you use this request to update a customer's payment method, the
        payment method can't be used for merchant initiated transactions (MIT)
        any more. This payment method can be used only when the customer is on
        the checkout page.



        For more information about the limitations introduced by this parameter,
        see: 
          - [Pay for an order](/docs/api/merchant#pay-order)
          - [Charge a customer's saved payment method](/docs/guides/merchant/optimise-checkout/save-payment-methods/charge-saved-payment-method)
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                saved_for:
                  type: string
                  description: >-
                    Update the value of `saved_for` from `MERCHANT` to
                    `CUSTOMER`.


                    This indicates that the updated payment method can't be used
                    for merchant initiated transactions (MIT) any more.
                  enum:
                    - CUSTOMER
              required:
                - saved_for
            examples:
              example_request:
                summary: Example request
                value:
                  saved_for: CUSTOMER
          application/xml:
            schema:
              type: object
              properties: {}
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Customer-Payment-Method"
              examples:
                updated_payment_method:
                  summary: Updated payment method
                  value:
                    id: edef3ba4-60a0-4df3-8f12-e5fc858c2420
                    type: CARD
                    saved_for: CUSTOMER
                    method_details:
                      bin: "459678"
                      last4: "6896"
                      expiry_month: 3
                      expiry_year: 2025
                      cardholder_name: John Doe
                      brand: VISA
                      funding: DEBIT
                      issuer: EXAMPLE ISSUER
                      issuer_country: GB
                      billing_address:
                        street_line_1: "7"
                        street_line_2: Westferry Circus
                        postcode: E144HD
                        city: London
                        region: Greater London
                        country_code: GB
                      created_at: 2023-03-24T14:15:22Z
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
      security:
        - Api-Key: []
      tags:
        - Customers
    delete:
      summary: Delete a customer's payment method (Deprecated)
      deprecated: true
      operationId: deletePaymentMethodDeprecated
      description: >-
        Delete a specific payment method. The payment method is completely
        deleted from the customer payment methods. 


        To reuse the payment method that is deleted, direct your customer to the
        checkout page and save the card details again.
      responses:
        "204":
          description: No Content
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
      security:
        - Api-Key: []
      tags:
        - Customers
  /api/payments/{payment_id}:
    parameters:
      - $ref: "#/components/parameters/Authorization"
      - $ref: "#/components/parameters/Payment-Id"
    get:
      summary: Retrieve payment details
      operationId: retrievePaymentDetails
      description: >-
        Retrieve information about a specific payment, based on the payment's
        ID.


        Use this endpoint to track a payment's lifecycle, for example:
          - When you develop a [1-click checkout process](/docs/guides/merchant/optimise-checkout/save-payment-methods/checkout-with-saved-card)
          - When you build a [subscription management system](/docs/guides/merchant/optimise-checkout/save-payment-methods/subscription-management)
      responses:
        "200":
          description: Payment details
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Payment-Retrieval"
              examples:
                revolut_pay_saved:
                  summary: Payment completed via Revolut Pay (saved details)
                  value:
                    id: 64905d4b-a205-aac3-a5ef-dab978b1b7ee
                    order_id: 64905d0f-3f95-a2ac-91ea-57c77f9dbe69
                    state: completed
                    payment_method:
                      type: revolut_pay
                      subtype: revolut_account
                      id: 648334a8-9546-a983-a81a-efc6d5bdd0be
                revolut_pay_not_saved:
                  summary: Payment completed via Revolut Pay (not saved details)
                  value:
                    id: 64905d4b-a205-aac3-a5ef-dab978b1b7ee
                    order_id: 64905d0f-3f95-a2ac-91ea-57c77f9dbe69
                    state: completed
                    payment_method:
                      type: revolut_pay
                      subtype: revolut_account
                card_payment_saved:
                  summary: Payment completed via card (saved details)
                  value:
                    id: 63dd0e4a-42c4-a1a6-ab2c-6ac9d255ca4b
                    order_id: 63dd0e3f-7b84-ab5c-927c-1a06f7c9583a
                    state: completed
                    payment_method:
                      type: card
                      brand: visa
                      last_four: "1234"
                      id: 64a28499-05c5-af30-bbf9-9c1b028e00b8
                card_payment_not_saved:
                  summary: Payment completed via card (not saved details)
                  value:
                    id: 63dd0e4a-42c4-a1a6-ab2c-6ac9d255ca4b
                    order_id: 63dd0e3f-7b84-ab5c-927c-1a06f7c9583a
                    state: completed
                    payment_method:
                      type: card
                      brand: visa
                      last_four: "1234"
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorId:
                    type: string
                    description: |-
                      The ID of the error. You can share this ID with Revolut
                      support for troubleshooting.
                  timestamp:
                    type: integer
                    description: The date and time the error happened.
              examples:
                example-1:
                  value:
                    errorId: 94b27660-fdda-49ec-8b85-cd46a068ade0
                    timestamp: 1601296792533
        "401":
          description: Unauthorized
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorId:
                    type: string
                    description: |-
                      The ID of the error. You can share this ID with Revolut
                      support for troubleshooting.
                  timestamp:
                    type: integer
                    description: The date and time the error happened.
                  code:
                    type: integer
              examples:
                example-1:
                  value:
                    errorId: 94b27660-fdda-49ec-8b85-cd46a068ade0
                    timestamp: 1601296792533
                    code: 1024
      security:
        - Api-Key: []
      tags:
        - Payments
  /api/payouts:
    parameters:
      - $ref: "#/components/parameters/Authorization"
      - $ref: "#/components/parameters/Revolut-Api-Version"
    get:
      summary: Retrieve a payout list
      operationId: retrievePayoutList
      description: >-
        Retrieve all the payouts you made from your Merchant account. You can
        also use the query parameters for:

          | Filtering | Pagination |
          | --------- | ---------- |
          | Filter the orders that you want to retrieve, for example, only retrieve the orders that have a specific email. <br/><br/>Parameters used for filtering:<br/><ul><li>`from_created_date`</li><li>`to_created_date`</li><li>`currency`</li><li>`state`</li></ul> | View the orders without loading all of them at once, for example, return a specified number of orders per page. <br/><br/>Parameters used for pagination: <br/><ul><li>`limit`</li></ul> |
      parameters:
        - name: currency
          in: query
          schema:
            type: string
            minLength: 3
            maxLength: 3
          description: |-
            [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code in upper case.

            :::info
            For more information about the supported currencies, see: [Help Center](https://help.revolut.com/business/help/merchant-accounts/payments/in-which-currencies-can-i-accept-payments/).
            :::
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 500
          description: The maximum number of payouts returned per page. Used for
            **pagination**.
        - name: from_created_date
          in: query
          schema:
            type: string
            format: date-time
          description: >-
            Retrieve all payouts with a `created_date` ≥ `from_created_date`.
            Used for **filtering**.


            Use the [ISO date format](https://en.wikipedia.org/wiki/ISO_8601):
            `yyyy-MM-ddTHH:mm:ss[.SSSSSS]Z`. For example,
            `2021-02-10T16:59:50.886826Z`.
        - name: to_created_date
          in: query
          schema:
            type: string
            format: date-time
          description: >-
            Retrieve all payouts with a `created_date` ≤ `to_created_date`. Used
            for **filtering**.


            Use the [ISO date format](https://en.wikipedia.org/wiki/ISO_8601):
            `yyyy-MM-ddTHH:mm:ss[.SSSSSS]Z`. For example,
            `2021-02-10T16:59:50.886826Z`.
        - name: state
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - processing
                - completed
                - failed
          style: form
          explode: true
          description: |-
            Retrieve all payouts with specific states. You can pass several states. Used for **filtering**.

            If multiple states are selected, for example `completed` and `processing`, payouts with either of the selected values are returned. See this example of such a request URL: 

            ```curl
            https://merchant.revolut.com/api/payouts?state=completed&state=processing
            ```

            The parameter is case sensitive.
      responses:
        "201":
          description: Payouts retrieved
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/Payout"
              examples:
                default:
                  value:
                    - id: a830020e-090c-4717-836d-37941a27ad12
                      state: completed
                      created_at: 2024-02-27T00:16:39.079285Z
                      destination_type: current_pocket
                      amount: 50000
                      currency: GBP
                    - id: 66ffee42-7c4a-a15c-9a47-5dc67150386f
                      state: processing
                      created_at: 2024-02-26T17:16:39.079285Z
                      destination_type: external_beneficiary
                      amount: 10000
                      currency: GBP
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
              examples:
                default:
                  value:
                    code: bad_request
                    message: Could not parse JSON
                    timestamp: 1721049596461
          headers: {}
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
              examples:
                default:
                  value:
                    code: unauthenticated
                    message: Authentication failed
                    timestamp: 1721049596461
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
      security:
        - Api-Key: []
      tags:
        - Payouts
  /api/payouts/{payout_id}:
    parameters:
      - $ref: "#/components/parameters/Authorization"
      - $ref: "#/components/parameters/Revolut-Api-Version"
      - $ref: "#/components/parameters/Payout-Id"
    get:
      summary: Retrieve a payout
      operationId: retrievePayout
      description: Retrieve the details of a payout. Provide the unique payout ID, and
        the corresponding payout information is returned.
      responses:
        "200":
          description: Payout retrieved
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Payout"
              examples:
                default:
                  value:
                    id: a830020e-090c-4717-836d-37941a27ad12
                    state: completed
                    created_at: 2024-02-27T00:16:39.079285Z
                    destination_type: current_pocket
                    amount: 50000
                    currency: GBP
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
              examples:
                default:
                  value:
                    code: bad_request
                    message: Missing Revolut-Api-Version header
                    timestamp: 1721049596461
          headers: {}
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
              examples:
                default:
                  value:
                    code: unauthenticated
                    message: Authentication failed
                    timestamp: 1721049596461
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error-v2"
              examples:
                default:
                  value:
                    code: not_found
                    message: The requested resource is not found
                    timestamp: 1721050063886
      security:
        - Api-Key: []
      tags:
        - Payouts
  /api/report-runs:
    parameters:
      - $ref: "#/components/parameters/Authorization"
    post:
      summary: Create a new report run
      operationId: createReportRun
      description: >-
        Start generating a new report of the relevant transactions, and receive
        `report_run_id`.


        After generation is done, use the link in `file_url` to download the
        report. Use the [Retrieve report run
        details](/docs/api/merchant#retrieve-report-run-details) operation to
        check the status of the report run.


        Use the table below to choose the right report type for your use case:


        | Report type | What it covers | Required filter |

        | ----------- | -------------- | --------------- |

        | `custom_report` | Settled and processing transactions with
        configurable columns | `from`, `to` |

        | `settlement_report` | Predefined settled transaction view | `from`,
        `to` |

        | `payout_statement_report` | All transactions contributing to a
        specific payout | `filter.payout_id` |

        | `icpp_fee_breakdown_report` | IC++ fees per transaction for a specific
        IC++ charge | `filter.icpp_charge_id` |

        | `payments_report` | All payments including failed and declined ones |
        `from`, `to` |
      requestBody:
        content:
          application/json:
            schema:
              discriminator:
                propertyName: type
                mapping:
                  settlement_report: "#/components/schemas/Report-Run-Settlement-Report"
                  custom_report: "#/components/schemas/Report-Run-Custom-Report"
                  payout_statement_report: "#/components/schemas/Report-Run-Payout-Report"
[...]
